Please note: the Shift Teams API is now in beta. Some functionalities may not yet be available at that time. Please note that the API may be subject to change.
List Teams
Returns a paginated list of Teams for Shifts.
GET
https://api.piggy.eu/api//shift-teamsHeaders
Authorization
Bearer {{ access_token | api_key }}Accept
application/jsonBody
pageintegerOPTIONALThe page number.
limitintegerOPTIONALThe maximum number of Teams to retrieve (default: 30, max: 100).
Response Example
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
{
"data": [
{
"uuid": "b5701f1b-5e31-49b6-b94f-2f388e72730a",
"name": "Fry Cook Crew",
"created_at": "2024-12-08T09:00:00+00:00",
"updated_at": "2024-12-08T09:00:00+00:00",
},
{
"uuid": "90597ad4-a00e-4d3c-aca0-3ca6ec222f23",
"name": "Housekeeping",
"created_at": "2024-12-01T09:00:00+00:00",
"updated_at": "2024-12-08T09:00:00+00:00",
},
],
"meta": {
"page": 1,
"per_page": 30,
"last_page": 10,
"total": 300
}
}Create Team
Creates a new Team for Shifts.
POST
https://api.piggy.eu/api//shift-teamsHeaders
Authorization
Bearer {{ access_token | api_key }}Accept
application/jsonBody
namestringREQUIREDThe Name of the Team you want to create.
Response Example
Show more
1
2
3
4
5
6
7
8
9
{
"data": {
"uuid": "b91e16b3-f4bc-4cdb-a2ef-68b596b3ce0f",
"name": "Management",
"created_at": "2024-12-08T09:00:00+00:00",
"updated_at": "2024-12-08T17:30:00+00:00",
},
"meta": {}
}Code
Message
1003Invalid input.
Find Team by Name
Returns all relevant information for a Team.
GET
https://api.piggy.eu/api//shift-teams/findHeaders
Authorization
Bearer {{ access_token | api_key }}Accept
application/jsonBody
namestringREQUIREDThe Name of this Team.
Response Example
Show more
1
2
3
4
5
6
7
8
9
{
"data": {
"uuid": "b91e16b3-f4bc-4cdb-a2ef-68b596b3ce0f",
"name": "Management",
"created_at": "2024-12-08T09:00:00+00:00",
"updated_at": "2024-12-08T17:30:00+00:00",
},
"meta": {}
}Code
Message
80540Shift team not found.
Get Team
Retrieve a Team using its UUID.
GET
https://api.piggy.eu/api//shift-teams/{{uuid}}Headers
ParamsAuthorization
Bearer {{ access_token | api_key }}Accept
application/jsonuuidstringREQUIREDThe UUID for this Team.
Response Example
Show more
1
2
3
4
5
6
7
8
9
{
"data": {
"uuid": "b91e16b3-f4bc-4cdb-a2ef-68b596b3ce0f",
"name": "Management",
"created_at": "2024-12-08T09:00:00+00:00",
"updated_at": "2024-12-08T17:30:00+00:00",
},
"meta": {}
}Code
Message
80540Shift team not found.
Update Team
Updates the attributes of a Team.
PUT
https://api.piggy.eu/api//shift-teams/{{uuid}}Headers
ParamsAuthorization
Bearer {{ access_token | api_key }}Accept
application/jsonuuidstringREQUIREDThe UUID for this Team.
Body
namestringREQUIREDThe Name for this Team.
Response Example
Show more
1
2
3
4
5
6
7
8
9
{
"data": {
"uuid": "b91e16b3-f4bc-4cdb-a2ef-68b596b3ce0f",
"name": "Management",
"created_at": "2024-12-08T09:00:00+00:00",
"updated_at": "2024-12-08T17:30:00+00:00",
},
"meta": {}
}Code
Message
1003Invalid input.
80540Shift team not found.
